package com.elphel.imagej.common;


public class GenericJTabbedDialogMcp extends GenericJTabbedDialog{
	public boolean mcp_mode = false;
	public GenericJTabbedDialogMcp(String title) {
		super(title);
	}
	public GenericJTabbedDialogMcp(String title, int width, int height) {
		super(title, width, height);
	}

	@Override
	public void addTab(String tab_name, String tab_tooltip) {
		if (mcp_mode) {

		}
		else super.addTab(tab_name, tab_tooltip);
	}

	@Override
	public void addCheckbox(String label, boolean defaultValue, String tooltip) {
		if (mcp_mode) {

		}
		else super.addCheckbox(label, defaultValue, tooltip);
	}

	@Override
	public void addNumericField(String label, double defaultValue, int digits, int columns, String units, String tooltip) {
		if (mcp_mode) {

		}
		else super.addNumericField(label, defaultValue, digits, columns, units, tooltip);
	}    

	@Override
	public void addStringField (
			String label,
			String value,
			int    width,
			String tooltip) {
		if (mcp_mode) {

		}
		else super.addStringField (label, value, width, tooltip);
	}

	@Override
	public void addChoice(String label, String[] items, String defaultItem, String tooltip, int count) {
		if (mcp_mode) {

		}
		else super.addChoice(label, items, defaultItem, tooltip, count);
	}	

	@Override
	public void addDefaultButtons() { // not used
		if (mcp_mode) {

		}
		else super.addDefaultButtons();
	}

	@Override
	public void addMessage(String message, String tooltip) {
		if (mcp_mode) {

		}
		else super.addMessage(message, tooltip);
	}

	@Override
	public void buildDialog() { // non-blocking, does not show
		if (mcp_mode) {

		}
		else super.buildDialog();
	}

	@Override
	public boolean getNextBoolean() {
		if (mcp_mode) {
			return false;
		}
		else return super.getNextBoolean();
	}

	@Override
	public int getNextChoiceIndex() {
		if (mcp_mode) {
			return -1;
		}
		else return super.getNextChoiceIndex();
	}

	@Override
	public double getNextNumber() {
		if (mcp_mode) {
			return Double.NaN;
		}
		else return super.getNextNumber();
	}

	@Override
	public String getNextString() {
		if (mcp_mode) {
			return "";
		}
		else return super.getNextString();
	}

	@Override
	public boolean showDialog() {
		if (mcp_mode) {
			return true;
		}
		else return super.showDialog();
	}

	@Override
	public String showDialogAny() {
		if (mcp_mode) {
			return "";
		}
		else return super.showDialogAny();
	}


	@Override
	public boolean wasCanceled() {
		if (mcp_mode) {
			return false;
		}
		else return super.wasCanceled();
	}

	@Override
	public boolean wasOKed() {
		if (mcp_mode) {
			return true;
		}
		else return super.wasOKed();
	}
}
